openSUSE Security Update : python-Django (openSUSE-2015-281)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

python-django was updated to 1.6.11 to fix security issues and
non-security bugs.

THe following vulnerabilities were fixed :

- Made is_safe_url() reject URLs that start with control
characters to mitigate possible XSS attack via
user-supplied redirect URLs (bnc#923176, CVE-2015-2317)

- Fixed an infinite loop possibility in strip_tags()
(bnc#923172, CVE-2015-2316)

- WSGI header spoofing via underscore/dash conflation
(bnc#913053, CVE-2015-0219)

- Mitigated possible XSS attack via user-supplied redirect
URLs

- Denial-of-service attack against
``django.views.static.serve`` (bnc#913056,
CVE-2015-0221)

- Database denial-of-service with
``ModelMultipleChoiceField`` (bnc#913055, CVE-2015-0222)

The update also contains fixes for non-security bugs, functional and
stability issues.

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=913053
https://bugzilla.opensuse.org/show_bug.cgi?id=913055
https://bugzilla.opensuse.org/show_bug.cgi?id=913056
https://bugzilla.opensuse.org/show_bug.cgi?id=923172
https://bugzilla.opensuse.org/show_bug.cgi?id=923176

Solution :

Update the affected python-Django package.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N)

Family: SuSE Local Security Checks

Nessus Plugin ID: 82515 ()

Bugtraq ID:

CVE ID: CVE-2015-0219
CVE-2015-0221
CVE-2015-0222
CVE-2015-2316
CVE-2015-2317

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now